Productsup
API referenceV1Export field

Update an export field

An export field is a field that belongs to an export. Once created, the export field will be added to every channel that is created from the export template in the productsup platform. This endpoint allows the updating of an existing export field.

PATCH
/V1/export-templates/{id}/attributes

Authorization

bearerAuth
AuthorizationBearer <token>

ProductsUp Keycloak JWT bearer token.

In: header

Path Parameters

exportId*string

Export id.

id*string

Export Field id.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PATCH "https://export-template-api.productsup.com/V1/export-templates/string/attributes" \  -H "Content-Type: application/json" \  -d '{    "alias": "title",    "mandatory": true,    "type": "optional",    "conditions": [],    "flag": "not hidden",    "isDefaultTrackingColumn": true,    "isUniqueColumn": true,    "order": 10,    "deltaIgnore": true,    "deltaKey": true,    "automapIgnore": true,    "description": "a new product title",    "format": "String (Unicode Characters)",    "examples": [      "some example"    ]  }'
{
  "data": {
    "id": 995992,
    "alias": "title",
    "mandatory": true,
    "type": "optional",
    "conditions": [],
    "flag": "not hidden",
    "isDefaultTrackingColumn": true,
    "isUniqueColumn": true,
    "order": 10,
    "deltaIgnore": true,
    "deltaKey": true,
    "automapIgnore": true,
    "description": "a new product title",
    "format": "String (Unicode Characters)",
    "export": {
      "id": 58965
    },
    "fieldTags": [],
    "analyzerTestExports": [],
    "analyzerTests": [],
    "fieldname": "test",
    "examples": [
      "some example"
    ]
  }
}
{
  "errors": {
    "message": "Request validation has encountered constraint violations.",
    "errors": {
      "fieldName": [
        "This field was not expected."
      ]
    }
  }
}
{
  "errors": {
    "message": "Resource access denied."
  }
}

How is this guide?